'use strict';

exports.__esModule = true;
exports.formatBytes = formatBytes;
exports.formatDevNameVersion = formatDevNameVersion;
exports.sortObjKeys = sortObjKeys;
exports.trunc = trunc;

var _numeral = require('numeral');

var _numeral2 = _interopRequireDefault(_numeral);

var _cliTruncate = require('cli-truncate');

var _cliTruncate2 = _interopRequireDefault(_cliTruncate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function formatBytes(bytes) {
  return (0, _numeral2['default'])(bytes).format('0.[00]b');
}

function formatDevNameVersion(dev, name, version) {
  // use name-version first since device is usually constant
  return name + '-' + version + ':' + dev;
}

function sortObjKeys(obj) {
  return Object.keys(obj).sort().reduce(function (acc, k) {
    acc[k] = obj[k];
    return acc;
  }, {});
}

function trunc(size, str) {
  return (0, _cliTruncate2['default'])(str, size, { position: 'middle' });
}