'use strict';

exports.__esModule = true;
exports['default'] = runAsChild;

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _ref() {
  process.disconnect();
}

function runAsChild(INTERRUPT_TYPE) {
  var onInterrupt = function onInterrupt(fn) {
    // set the onInterrupt fn to call
    var interruptOnce = _ramda2['default'].once(fn);
    process.once('SIGINT', interruptOnce).once('SIGTERM', interruptOnce).on('message', function (msg) {
      if (msg && msg.type === INTERRUPT_TYPE) {
        interruptOnce();
      }
    });
  };

  var shutdown = _ramda2['default'].once(_ref);

  return {
    onInterrupt: onInterrupt,
    shutdown: shutdown
  };
}